/**
 * @description 权限指令注册入口，定义 v-permission 自定义指令
 * @author D吕贺034244311
 * @date 20260617
 */
import permission from './permission'

const install = function(Vue) {
  Vue.directive('permission', permission)
}

if (window.Vue) {
  window['permission'] = permission
  Vue.use(install); // eslint-disable-line
}

permission.install = install
export default permission
